@use "colors";

.chip-selector {
    &.event-type-selector {
        .chip {
            &.selected {
                background-color: colors.$content-black;
                color: colors.$content-white;
                border: colors.$gray 1px solid;
            }

            &:hover,
            &:focus {
                &:not(.selected) {
                    background-color: colors.$content-white;
                }
            }

            img {
                color: colors.$black;
            }

            .digital {
                >.digital {
                    color: colors.$blue;
                }
            }
        }
    }

    .chip {
        margin-right: 0.5rem;
        margin-top: 0.5rem;
        padding: 1em 0.5em;

        font-size: 0.9rem;

        background-color: colors.$content-white;
        border: colors.$gray 1px solid;
        border-radius: 3em;

        color: colors.$gray;

        &.selected {
            background-color: #F4FBFC;
            color: colors.$turquoise;
            font-weight: 500;
            border: colors.$turquoise 1px solid;
        }

        img,
        svg {
            max-height: 1rem;
            max-width: 1rem;
            color: colors.$turquoise;
        }

        .icon {
            color: colors.$turquoise;
        }
    }
}